Subject: Re: [BEHAVE] WGLC: draft-ietf-behave-nat64-learn-analysis-00

From: jouni korhonen <[email-masked]>
Date: Tue, 4 Oct 2011 16:19:35 +0300

Hi Aaron,

On Sep 8, 2011, at 11:53 AM, Yi DING(Aaron) wrote:

> 
> Some comments on "draft-ietf-behave-nat64-learn-analysis-00":
> 
> * Issue 1-5 could be emphasized as a separate section / subsection under Section 3

Right.. however, I rather keep the text in this part as it is now.

> * As DNS query for well-known name becomes the recommendation, for clarity as well as highlight, we should move it up as the first solution in Section 4.

Good point. Will do the change.

> 
> 
> The document is well-written, concise, and coupled with an extensive survey of existing mechanisms to learn NAT64 prefix. The comparison chart is very valuable for networking research as well. I agree with Cameron that we shall push this document forward.

Thanks,
	Jouni

> 
> -- Aaron
> 
> 
> 
> On 06/09/11 23:03, Cameron Byrne wrote:
>> On Fri, Jul 22, 2011 at 2:09 PM, Dan Wing<[email-masked]>  wrote:
>>> This starts a 3 week WGLC (extra time to accommodate IETF travel) for
>>> draft-ietf-behave-nat64-learn-analysis-00.  This document analyzes the
>>> available approaches for a host to learn its NAT64 prefix.  Abstract:
>>> 
>>>   Hosts and applications may benefit from the knowledge if an IPv6
>>>   address is synthesized, which would mean a NAT64 is used to reach the
>>>   IPv4 network or Internet.  This document analyses a number of
>>>   proposed solutions for communicating whether the synthesis is taking
>>>   place, used address format, and the IPv6 prefix used by the NAT64 and
>>>   DNS64.  The solutions enable both NAT64 avoidance and intentional
>>>   utilization by allowing local IPv6 address synthesis.  The document
>>>   concludes by recommending selection of heuristic discovery based
>>>   solution.
>>> 
>>> Please send comments to [email-masked].  WGLC ends in 3 weeks on
>>> August 12.
>>> 
>> Sorry for writing late.  I believe this is a good document and that we
>> should move forward with the recommendation of publishing a well known
>> name for learning the PREF64.  This path is consistent with the the
>> overall NAT64 / DNS64 philosophy of working within the existing
>> technology to the greatest extent possible.
>> 
>> Cameron
>> _______________________________________________
>> Behave mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/behave
> 
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

---

From: jouni korhonen <[email-masked]>
Date: Tue, 4 Oct 2011 16:20:36 +0300

Hi Cameron,

On Sep 6, 2011, at 11:03 PM, Cameron Byrne wrote:

> On Fri, Jul 22, 2011 at 2:09 PM, Dan Wing <[email-masked]> wrote:

Thanks,
	Jouni

---

From: jouni korhonen <[email-masked]>
Date: Tue, 4 Oct 2011 16:22:34 +0300

Hi Mohammed,

On Sep 8, 2011, at 12:34 PM, <[email-masked]> <[email-masked]> wrote:

> Dear all,
> 
> The document is in a good shape and I support its publication.

Thanks.

> 
> I have one minor comment, the conclusion says: 
> 
> "None of the discussed solutions support learning of
>   possible new or indicating support for multiple algorithms for
>   address synthesis other than the one described in [RFC6052]."
> 
> Which is not actually true for one of the solutions discussed in Section 4.6. Please refer to http://tools.ietf.org/html/draft-boucadair-dhcpv6-shared-address-option-01#section-5 for more details.

Good catch. I will correct the statement in Section 4.6.

- Jouni

> 
> Cheers,
> Med
> 
> 
> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la part de Dan Wing
> Envoyé : vendredi 22 juillet 2011 23:10
> À : [email-masked]
> Cc : [email-masked]
> Objet : [BEHAVE] WGLC: draft-ietf-behave-nat64-learn-analysis-00
> 
> -d